Get Zone by ID - Fabric

Get Zone by ID

cURL

curl --request GET \
  --url https://api.fabric.inc/v3/location-zones/{zoneId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'

Python

import requests

url = "https://api.fabric.inc/v3/location-zones/{zoneId}"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'GET',
  headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.fabric.inc/v3/location-zones/{zoneId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Success Response

{
  "zoneName": "US_LOCATIONS",
  "zoneType": "ABSOLUTE",
  "zoneId": "9372919a8219e8",
  "description": "Specific zone for US Locations",
  "locations": [\
    {\
      "priority": 1,\
      "locationNumber": 23\
    }\
  ],
  "tiers": [\
    {\
      "filters": [\
        {\
          "field": "location.locationNum",\
          "condition": "EQ",\
          "value": "<unknown>",\
          "group": "GroupA"\
        }\
      ],\
      "sort": "+location.createdAt",\
      "tier": 123\
    }\
  ],
  "createdAt": "2022-05-12T09:30:31.198Z",
  "updatedAt": "2022-05-12T09:30:31.198Z"
}

Example Error Response

{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4003",
  "message": "Mandatory param(s): `requiredField1` is/are missing",
  "errors": [\
    {\
      "type": "CLIENT_ERROR",
      "errorCode": "SERVICE-4002",
      "message": "Invalid value(s) specified for 'requiredField.field3'",
      "errors": []\
    }\
  ],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders"
  }
}

Authorization

Required Headers